## LassoLibIDPList LassoLibIDPList — <lib:IDPList> |

## Functions

LassoNode * | lasso_lib_idp_list_new ()

## Types and Values

struct | LassoLibIDPList

## Description

Figure 10. Schema fragment for lib:IDPList

    <xs:element name="IDPList" type="IDPListType"/>
    <xs:complexType name="IDPListType">
      <xs:sequence>
        <xs:element ref="IDPEntries"/>
        <xs:element ref="GetComplete" minOccurs="0"/>
      </xs:sequence>
    </xs:complexType>

    <xs:element name="GetComplete" type="xs:anyURI"/>

## Functions

### lasso_lib_idp_list_new ()

    LassoNode *
    lasso_lib_idp_list_new (void);

Creates a new LassoLibIDPList object.

#### Returns

a newly created LassoLibIDPList object

## Types and Values

### struct LassoLibIDPList

    struct LassoLibIDPList {
    	LassoNode parent;

    	/* <xs:element ref="IDPEntries"/> */
    	LassoLibIDPEntries *IDPEntries;
    	/* <xs:element ref="GetComplete" minOccurs="0"/> */
    	char *GetComplete;
    };